Bug 398604 - In .okular files, inline note wraps per character
Summary: In .okular files, inline note wraps per character
Status: RESOLVED FIXED
Alias: None
Product: okular
Classification: Unclassified
Component: general (show other bugs)
Version: 1.5.1
Platform: Archlinux Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Okular developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-14 05:19 UTC by Kishore Gopalakrishnan
Modified: 2018-11-08 23:44 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 18.12.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kishore Gopalakrishnan 2018-09-14 05:19:17 UTC
Steps to reproduce:
1. Open a djvu file.
2. Make an inline note.
3. Save as .okular file.
4. Open resulting .okular file.
5. Resize inline note such that the text is wrapped.

Observed result:
Text is wrapped per-character, i.e., the wrapping breaks words across lines. This impairs the readability of the text in the note.

Expected result:
The wrapping should not break words, as is the case in inline notes in PDF files.

I'm not sure if this is a bug in the djvu backend or something else, so I am putting it under 'general'.
Comment 1 Albert Astals Cid 2018-10-11 23:02:45 UTC
https://phabricator.kde.org/D16147
Comment 2 Albert Astals Cid 2018-11-08 23:25:35 UTC
Git commit 16c25fbb335793848b26ddb3cefc630d10f1015c by Albert Astals Cid.
Committed on 08/11/2018 at 23:25.
Pushed by aacid into branch 'master'.

Draw non-external text annotations with word wrap

Summary:
Instead of with wrap anywhere

Reviewers: cfeck

Reviewed By: cfeck

Subscribers: sander, tobiasdeiminger, okular-devel

Tags: #okular

Differential Revision: https://phabricator.kde.org/D16147

M  +1    -1    ui/pagepainter.cpp

https://commits.kde.org/okular/16c25fbb335793848b26ddb3cefc630d10f1015c